Get the status for a data stream lifecycle
- GET /{index}/_lifecycle/explain
Get information about an index or data stream's current data stream lifecycle status, such as time since index creation, time since rollover, the lifecycle configuration managing the index, or any errors encountered during lifecycle execution.
Read the reference documentationPath Parameters
-
indexIndexName | IndexNamerequired -
Comma-separated list of index names to explain
Query Parameters
-
include_defaultsboolean · default: false Indicates if the API should return the default values the system uses for the index's lifecycle
-
master_timeoutstring Duration · default: 30s The period to wait for a connection to the master node.
Response
-
indicesmap string to DataStreamLifecycleExplainrequired -
<string>DataStreamLifecycleExplain -
indexstring IndexNamerequired -
managed_by_lifecyclebooleanrequired -
index_creation_date_millisEpochTimeUnitMillis -
time_since_index_creationstring Duration -
rollover_date_millisEpochTimeUnitMillis -
time_since_rolloverstring Duration -
lifecycleDataStreamLifecycleWithRollover -
data_retentionstring Duration -
If defined, every document added to this data stream will be stored at least for this time frame. Any time after this duration the document could be deleted. When empty, every document in this data stream will be stored indefinitely.
-
effective_retentionstring Duration -
The least amount of time data should be kept by elasticsearch.
-
retention_determined_byRetentionSource -
Configuration source that can influence the retention of a data stream.
-
Values:
data_stream_configurationdefault_global_retentionmax_global_retentiondefault_failures_retention -
downsamplingDownsamplingRound -
The list of downsampling rounds to execute as part of this downsampling configuration
-
afterstring Durationrequired -
The duration since rollover when this downsampling round should execute
-
configDownsampleConfigrequired -
The downsample configuration to execute.
-
fixed_intervalstringrequired -
The interval at which to aggregate the original time series index.
-
enabledboolean · default: true -
If defined, it turns data stream lifecycle on/off (
true/false) for this data stream. A data stream lifecycle that's disabled (enabled:false) will have no effect on the data stream. -
rolloverDataStreamLifecycleRolloverConditions -
The conditions which will trigger the rollover of a backing index as configured by the cluster setting
cluster.lifecycle.default.rollover. This property is an implementation detail and it will only be retrieved when the query paraminclude_defaultsis set to true. The contents of this field are subject to change. -
min_agestring Duration -
max_agestring -
min_docsnumber -
max_docsnumber -
min_sizenumber | string ByteSize -
max_sizenumber | string ByteSize -
min_primary_shard_sizenumber | string ByteSize -
max_primary_shard_sizenumber | string ByteSize -
min_primary_shard_docsnumber -
max_primary_shard_docsnumber -
generation_timestring Duration -
errorstring